MVN

org.codehaus.sonar-plugins : sonar-security-rules-plugin

Maven & Gradle

Jan 13, 2012

Security Rules Plugin · Enables to monitor closely a defined set of security rules.

<dependency>
    <groupId>org.codehaus.sonar-plugins</groupId>
    <artifactId>sonar-security-rules-plugin</artifactId>
    <version>0.3.2</version>
</dependency>
Copy
pom.xml
Table Of Contents

Latest Version

Choose a version of org.codehaus.sonar-plugins : sonar-security-rules-plugin to add to Maven or Gradle - Latest Versions:

  • Latest Stable: 0.3.2

All Versions

Choose a version of org.codehaus.sonar-plugins : sonar-security-rules-plugin to add to Maven or Gradle - All Versions:

  • Version Updated
  • sonar-security-rules-plugin-0.3.2

    Jan 13, 2012
  • sonar-security-rules-plugin-0.3.1

    Mar 22, 2011
  • sonar-security-rules-plugin-0.3

    Feb 25, 2011
  • sonar-security-rules-plugin-0.2

    Nov 14, 2010
  • sonar-security-rules-plugin-0.1

    Sep 26, 2009

How to add a dependency to Maven

Add the following org.codehaus.sonar-plugins : sonar-security-rules-plugin maven dependency to the pom.xml file with your favorite IDE (IntelliJ / Eclipse / Netbeans):

<dependency>
    <groupId>org.codehaus.sonar-plugins</groupId>
    <artifactId>sonar-security-rules-plugin</artifactId>
    <version>0.3.2</version>
</dependency>

How to add a dependency to Gradle

Gradle Groovy DSL: Add the following org.codehaus.sonar-plugins : sonar-security-rules-plugin gradle dependency to your build.gradle file:

implementation 'org.codehaus.sonar-plugins:sonar-security-rules-plugin:0.3.2'

Gradle Kotlin DSL: Add the following org.codehaus.sonar-plugins : sonar-security-rules-plugin gradle kotlin dependency to your build.gradle.kts file:

implementation("org.codehaus.sonar-plugins:sonar-security-rules-plugin:0.3.2")

How to add a dependency to SBT Scala

SBT Scala: Add the following org.codehaus.sonar-plugins : sonar-security-rules-plugin sbt scala dependency to your build.sbt file:

libraryDependencies += "org.codehaus.sonar-plugins" % "sonar-security-rules-plugin" % "0.3.2"